package kuzumeji.action.home.erp;
import kuzumeji.action.home.BaseEntityHome;
import kuzumeji.entity.erp.Supplier;
import org.jboss.seam.annotations.Name;
/**
 * SupplierHome
 * @author nilcy
 */
@Name("supplierHome")
public class SupplierHome extends BaseEntityHome<Supplier> {
    /** S/N */
    private static final long serialVersionUID = -1029434580934113803L;
    /**
     * getSupplierId
     * @return SupplierId
     */
    public Long getSupplierId() {
        return (Long) getId();
    }
    /**
     * setSupplierId
     * @param aSupplierId SupplierId
     */
    public void setSupplierId(Long aSupplierId) {
        setId(aSupplierId);
    }
    @Override
    protected Supplier createInstance() {
        Supplier supplier = new Supplier();
        return supplier;
    }
    /**
     * load
     */
    public void load() {
        if (isIdDefined()) {
            wire();
        }
    }
    /**
     * wire
     */
    public void wire() {
        getInstance();
    }
    /**
     * isWired
     * @return isWired
     */
    public boolean isWired() {
        return true;
    }
    /**
     * getDefinedInstance
     * @return DefinedInstance
     */
    public Supplier getDefinedInstance() {
        return isIdDefined() ? getInstance() : null;
    }
}
